Summary: Application for learning words, forms
Name: pywords
Version: 0.6
Release: %mkrel 2
License: GPLv3
Group: Education
Url: https://sourceforge.net/p/pywords
Source0: https://sourceforge.net/p/pywords/files/%{name}-%{version}.tar.gz
Requires: python3
BuildArch: noarch

%description
pyWords is really simple application for learning words.
You just select file with words and type answers.
If you type wrong - app will show you correct answer and
that word will appear again later.
Word-definition files are really simple .txt files.

%prep
%setup -q

%build
#nothing

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 ./%{name} %{buildroot}%{_bindir}/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/48x48/apps
install -m 644 ./%{name}_48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 ./%{name}.desktop %{buildroot}%{_datadir}/applications/
mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 %{name}.glade %{buildroot}%{_datadir}/%{name}/
install -m 755 %{name}.py %{buildroot}%{_datadir}/%{name}/
install -m 644 "to be.txt" %{buildroot}%{_datadir}/%{name}/
mkdir -p %{buildroot}%{_datadir}/locale
cp -af i18n/* %{buildroot}%{_datadir}/locale

%find_lang %{name}

%files -f %{name}.lang
%doc Readme.txt
%{_bindir}/%{name}
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/%{name}.py*
%{_datadir}/%{name}/*.txt
%{_datadir}/%{name}/__pycache__/


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 0.6-2.mga8
+ Revision: 1523254
- Mageia 8 Mass Rebuild

* Mon Feb 11 2019 alexl <alexl> 0.6-1.mga7
+ Revision: 1365227
- version 0.6

* Wed Sep 19 2018 umeabot <umeabot> 0.5-3.mga7
+ Revision: 1274860
- Mageia 7 Mass Rebuild
- Mageia 6 Mass Rebuild

* Tue Nov 17 2015 alexl <alexl> 0.5-1.mga6
+ Revision: 903860
- version 0.5
- del upstreamed patch
- new url
- install locales

* Wed Jan 07 2015 alexl <alexl> 0.4-4.mga5
+ Revision: 809127
- merged desktop file with upstream
- new URL tag in spec file

* Wed Oct 15 2014 umeabot <umeabot> 0.4-3.mga5
+ Revision: 740567
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.4-2.mga5
+ Revision: 688454
- Mageia 5 Mass Rebuild

* Mon Apr 14 2014 alexl <alexl> 0.4-1.mga5
+ Revision: 614253
- imported package pywords

